#include "StdAfx.h"
#include "CheckUPNoticeController.h"
#include <afxstr.h>

CCheckUPNoticeController::CCheckUPNoticeController(void)
{
	m_strPrevLastModifyTime = _T("");
    m_nChangeNoticeSeq = 0;
    m_ChangeTypeCode = CHANGETYPE_CHC01;
}

CCheckUPNoticeController::~CCheckUPNoticeController(void)
{
}


void CCheckUPNoticeController::SetNoticeData(const CheckUpNoticeData &checkUpNotice)
{
	SetChangeNoticeSeq(checkUpNotice.nChangeNoticeSeq);
//	m_strCurrentLastModifyTime = changeNotice.strLastModifyYMDT.c_str();
	SetCheckReasonKR(checkUpNotice.strChekReason.c_str());


	CString strChangeTypeCode(checkUpNotice.strChangeTypeCode.c_str());
	if (strChangeTypeCode == L"CHC01")
	{
		SetChangeTypeCode(CHANGETYPE_CHC01);
	}
	else if (strChangeTypeCode == L"CHC02")
	{
		SetChangeTypeCode(CHANGETYPE_CHC02);
	}
	else if(strChangeTypeCode == L"CHC03")
	{
		SetChangeTypeCode(CHANGETYPE_CHC03);
	}
	else
	{
	}





	SetCheckStartYMDT(_ttol(checkUpNotice.strCheckStartYMDT.c_str()));
	SetCheckEndYMDT(_ttol(checkUpNotice.strCheckEndYMDT.c_str()));
}

void CCheckUPNoticeController::SetChangeTypeCode( ChangeType typeCode )
{
	if (typeCode == CHANGETYPE_CHC01)//
	{
		m_ChangeTypeCode = CHANGETYPE_CHC01;
		m_strChangeTypeTitle = LoadStringFromResource(IDS_STRING616);
	}
	else if(typeCode == CHANGETYPE_CHC02)//ӽ
	{
		m_ChangeTypeCode = CHANGETYPE_CHC02;
		m_strChangeTypeTitle = LoadStringFromResource(IDS_STRING617);
	}
	else if(typeCode == CHANGETYPE_CHC03)//
	{
		m_ChangeTypeCode = CHANGETYPE_CHC03;
		m_strChangeTypeTitle = LoadStringFromResource(IDS_STRING618);
	}
}

void CCheckUPNoticeController::SetCheckStartYMDT( long ltime )
{
	CTime time(ltime);
	m_timeCheckStartYMDT = time;
}

void CCheckUPNoticeController::SetCheckEndYMDT( long ltime )
{
	CTime time(ltime);
	m_timeCheckEndYMDT = time;
}

void CCheckUPNoticeController::Clear()
{

	m_strChekReason = _T("");					//

}




